Events (Admin)

Update survey question (Admin)

PUT/manage/events/:eventId/questions/:questionId

Update a survey question. Requires the questionsWrite permission.

AuthLogin required

Path parameters

eventIdstringrequired

Event ID or slug.

questionIdstringrequired

Question ID.

Request body

typestringoptional

Question type; one of text / longText / email / url / singleSelect / multiSelect / toggle / radioButton / date / image.

titlestringoptional

Question text; up to 255 characters.

descriptionstringoptional

Description; up to 500 characters.

languagesLanguagesoptional

Localized question text / help.

optionsQuestionOption[]optional

Options for singleSelect / multiSelect / radioButton questions; each option requires a title.

requiredbooleanoptional

Whether an answer is required.

ticketIdsstring[]optional

Ticket IDs this question applies to; an empty array means all tickets.

ordernumberoptional

Display order; an integer. Defaults to 9999.

statusstringoptional

One of DRAFT / PUBLISHED / PRIVATE.

searchablebooleanoptional

Whether the answer is searchable.

showOnDashboardbooleanoptional

Whether to aggregate on the dashboard.

branchParentId / conditionOptionIds / positionstring | string[] | numberoptional

Conditional branching settings.

settingsQuestionSettingsoptional

Type-specific settings.

Response

Returns Question.

Request
curl https://api.4s.link/manage/events/EVENT_ID/questions/QUESTION_ID \
-X PUT \
-H "Authorization: Bearer 4s_at_..." \
-H "Content-Type: application/json" \
-d '{
"title": "参加のきっかけを教えてください",
"required": false
}'
Example response
{
"id": "q1a2b3c4-...",
"refId": "purpose",
"type": "text",
"title": "参加目的を教えてください",
"description": null,
"required": true,
"options": [],
"ticketIds": [],
"order": 0,
"status": "PUBLISHED",
"searchable": false,
"showOnDashboard": false
}